Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Zelle

    java.lang.Object
      Zelle

Direct Known Subclasses:
  LeerZelle, TextZelle, WertZelle

    public abstract class Zelle

extends java.lang.Object

Basisklasse für alle Zellen

Field Summary
`protected int` | `Ausrichtung`
`static int` | `LINKS`
`static int` | `MITTE`
`protected int` | `Nachkomma`
`static int` | `RECHTS`
`protected AnzeigeZelle` | `View`

Method Summary
`protected void` | `aktualisieren()` Benachrichtigung des AnzeigeZelle-Objekts im Beobachter-Muster
`abstract java.lang.String` | `getAnzeige()` liefert String zur Anzeige in der Tabelle
`int` | `getAusrichtung()` liefert die Ausrichtung der Zelle
`abstract java.lang.String` | `getInhalt()` liefert den Inhalt der Zelle für den Zellen-Editor
`int` | `getNachkomma()` liefert die Anzahl der Nachkommastellen der Zelle
`abstract double` | `getWert()` liefert den Wert für Berechungen
`abstract Zelle` | `kopie()` liefert eine Referenz auf eine Kopie der Zelle
`void` | `setAnzeige(AnzeigeZelle a)` Wechsel des AnzeigeZelle-Objekts - z.B. nach Kopieren von Zellen
`void` | `setAusrichtung(int Ausrichtung)` setzt die Ausrichtung der Zelle
`void` | `setNachkomma(int n)` setzt die Anzahl der Nachkommastellen der Zelle

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Ausrichtung

    protected int Ausrichtung

### Nachkomma

    protected int Nachkomma

### View

    protected AnzeigeZelle View

### LINKS

    public static final int LINKS

See Also:
  Constant Field Values

### MITTE

    public static final int MITTE

See Also:
  Constant Field Values

### RECHTS

    public static final int RECHTS

See Also:
  Constant Field Values

Method Detail

### getAnzeige

    public abstract java.lang.String getAnzeige()

  liefert String zur Anzeige in der Tabelle

### getInhalt

    public abstract java.lang.String getInhalt()

  liefert den Inhalt der Zelle für den Zellen-Editor

### getWert

    public abstract double getWert()

  liefert den Wert für Berechungen

### kopie

    public abstract Zelle kopie()

  liefert eine Referenz auf eine Kopie der Zelle

### getAusrichtung

    public int getAusrichtung()

  liefert die Ausrichtung der Zelle

### setAusrichtung

    public void setAusrichtung(int Ausrichtung)

  setzt die Ausrichtung der Zelle

### setNachkomma

    public void setNachkomma(int n)

  setzt die Anzahl der Nachkommastellen der Zelle

### getNachkomma

    public int getNachkomma()

  liefert die Anzahl der Nachkommastellen der Zelle

### setAnzeige

    public void setAnzeige(AnzeigeZelle a)

  Wechsel des AnzeigeZelle-Objekts - z.B. nach Kopieren von Zellen

### aktualisieren

    protected void aktualisieren()

  Benachrichtigung des AnzeigeZelle-Objekts im Beobachter-Muster

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD